# vim: set sw=4 ts=4 et:
#
# spec file for package automx
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
# Copyright (c) 2017 Wolfgang Rosenauer <wr@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}


Name:           automx
Version:        1.1.2_github_4aee43f
%define pkg_version %{version}
Release:        2
Summary:        Mail Account Provisioning System
License:        GPL-3.0+
Group:          Productivity/Networking/Email/Utilities
Url:            http://automx.org/
Source:         automx-%{pkg_version}.tar.bz2
Source1:        automx-apache.conf
Source2:        automx-web-apache.conf
Source99:       automx-rpmlintrc
#Patch1:         automx-test-moz-fallback.patch
#Patch2:         automx-ox.patch
BuildRequires:  httpd
BuildRequires:  python-devel
Requires:       python-dateutil
Requires:       python-ipaddr
Requires:       python-lxml
Requires:		python-configparser
Requires:       openssl
Requires:       mod_wsgi

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
automx runs on your server and handles mail account profile requests
from mail clients. Users need only provide name, mail address and
password. Their mail client and automx will autonegotiate.

automx unifies Microsofts and Mozillas mail account provisioning
standards in one tool. Choose from many backends, including LDAP and
SQL, and let automx create standard and individualized profiles for
multiple domains on the fly.

%package web
Summary:        automx web application
Group:          Productivity/Networking/Email/Utilities
Requires:       httpd

%description web
automx web application to autoconfigure mobile clients.

%prep
%setup -q -n "automx-%{pkg_version}"
#%patch1 -p1
#%patch2 -p1

%build
python -c '
import compileall;
compileall.compile_dir("src/automx/", ddir="%{python_sitelib}/automx/", force=1)
'

%install
install -D -m0644 src/automx_wsgi.py "%{buildroot}%{_usr}/lib/automx/automx_wsgi.py"
install -D -m0755 src/automx-test "%{buildroot}%{_bindir}/automx-test"
install -d "%{buildroot}%{python_sitelib}"
cp -a src/automx "%{buildroot}%{python_sitelib}/"
install -D -m0644 src/conf/automx.conf "%{buildroot}%{_sysconfdir}/automx.conf"
install -d "%{buildroot}%{_mandir}"
cp -a doc/man/man* "%{buildroot}%{_mandir}/"
install -d %{buildroot}%{_sysconfdir}/%{apache}/conf.d/
sed 's:@@PREFIX@@:%{_prefix}:g' %{SOURCE1} > %{buildroot}%{_sysconfdir}/%{apache}/conf.d/%{name}.conf
sed 's:@@DATADIR@@:%{_datadir}:g' %{SOURCE2} > %{buildroot}%{_sysconfdir}/%{apache}/conf.d/%{name}-web.conf
install -d %{buildroot}%{_datadir}
cp -a src/html %{buildroot}%{_datadir}/%{name}

%files
%defattr(-,root,root)
%doc BASIC_CONFIGURATION_README CHANGES CREDITS LICENSE README.md RELEASE_NOTES ROADMAP
%doc src/conf/automx.conf.example-complex
%config(noreplace) %{_sysconfdir}/automx.conf
%config(noreplace) %{_sysconfdir}/%{apache}/conf.d/%{name}.conf
%{_bindir}/automx-test
%dir %{_usr}/lib/automx
%{_usr}/lib/automx/automx_wsgi.*
%{python_sitelib}/automx
%{_mandir}/man1/automx-test.1*
%{_mandir}/man5/automx.conf.5*
%{_mandir}/man5/automx_ldap.5*
%{_mandir}/man5/automx_script.5*
%{_mandir}/man5/automx_sql.5*

%files web
%defattr(-,root,root)
%{_datadir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{apache}/conf.d/%{name}-web.conf


%changelog
* Fri Jun  8 2018 dan@familybrown.org
- Add dependency on python-configparser
* Fri Jun  8 2018 dan@familybrown.org
- Update to automx-1.1.2_github_4aee43f
- Removed Mozilla fallback patch--it's already merged
* Thu Jun  7 2018 dan@familybrown.org
- Update to automx-1.1.0_beta1
- Remove m2crypto dependency
- Add mod_wsgi dependency
- Disable automx-ox patch
* Fri Apr 14 2017 wr@rosenauer.org
- allow build for RH-style distributions
* Tue Mar 14 2017 jengelh@inai.de
- Trim storytelling from description
* Wed Mar  1 2017 wr@rosenauer.org
- clean up spec file and rpmlintrc
- add patch to support eMClient for OX App Suite (automx-ox.patch)
  by supporting CalDAV, CardDAV and X-OX-APPSUITE in autodiscover
- add apache configuration to enable the MacOS/iOS web provisioning
  if installed as automx-web
* Mon Feb 27 2017 wr@rosenauer.org
- update to 0.10.2
- updated apache2 config template for Apache 2.4
- created subpackage web
* Wed Feb 29 2012 pascal.bleser@opensuse.org
- initial version (0.7.99+0.8beta1)
